Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface UniformDoubleDist

All Known Implementing Classes:
  UniformDoubleDistImpl

public interface UniformDoubleDist
extends DoubleDistribution, DoubleDistributionS

Uniform Double Distribution. A generator of floating point values uniformly distributed across a half-open interval [min,max). (The interval includes the lower endpoint but excludes the upper endpoint.) NOTE: Setting minValue == maxValue is allowed (and returns minValue).

Method Summary
`double` | `getDoubleMax()` The getDoubleMax method returns the maximum floating point value in the specified range.
`double` | `getDoubleMin()` The getDoubleMin method returns the minimum floating point value in the specified range.
`double` | `getDoubleWithMin$withMax(double minValue, double maxValue)` The getDoubleWithMin:withMax: method returns a floating point value within the range [min, max).

Methods inherited from interface swarm.random.DoubleDistribution
`getDoubleSample`

Methods inherited from interface swarm.random.ProbabilityDistribution
`getCurrentCount, getGenerator, getOptionsInitialized, getVirtualGenerator`

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.random.InternalState
`getMagic, getStateSize`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### getDoubleMin

    public double getDoubleMin()

  The getDoubleMin method returns the minimum floating point value in the specified range.

### getDoubleMax

    public double getDoubleMax()

  The getDoubleMax method returns the maximum floating point value in the specified range.

### getDoubleWithMin$withMax

    public double getDoubleWithMin$withMax(double minValue,
                                           double maxValue)

  The getDoubleWithMin:withMax: method returns a floating point value within the range [min, max).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD